Skip to main content
PATCH
/
v2
/
objects
/
deals
/
records
/
{record_id}
Update a deal record
curl --request PATCH \
  --url https://api.attio.com/v2/objects/deals/records/{record_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": {
    "values": {
      "name": "Contract with Fundstack",
      "stage": "In Progress",
      "owner": "person@company.com",
      "value": 4200,
      "associated_people": [
        {
          "target_object": "people",
          "email_addresses": [
            {
              "email_address": "person@company.com"
            }
          ]
        }
      ],
      "associated_company": {
        "target_object": "companies",
        "domains": [
          {
            "domain": "company.com"
          }
        ]
      }
    }
  }
}
'
{
  "data": {
    "id": {
      "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
      "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
      "record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b"
    },
    "created_at": "2022-11-21T13:22:49.061281000Z",
    "web_url": "https://app.attio.com/salarya/person/bf071e1f-6035-429d-b874-d83ea64ea13b",
    "values": {
      "name": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "value": "Contract with Fundstack",
          "attribute_type": "text"
        }
      ],
      "stage": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "status": {
            "title": "In Progress",
            "id": {
              "workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
              "object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795",
              "attribute_id": "41252299-f8c7-4b5e-99c9-4ff8321d2f96",
              "status_id": "11f07f01-c10f-4e05-a522-33e050bc52ee"
            },
            "is_archived": false,
            "celebration_enabled": false,
            "target_time_in_status": null
          },
          "attribute_type": "status"
        }
      ],
      "owner": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "referenced_actor_type": "workspace-member",
          "referenced_actor_id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b",
          "attribute_type": "actor-reference"
        }
      ],
      "value": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "currency_value": 4200,
          "currency_code": "USD",
          "attribute_type": "currency"
        }
      ],
      "associated_people": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "target_object": "people",
          "target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
          "attribute_type": "record-reference"
        }
      ],
      "associated_company": [
        {
          "active_from": "2023-01-01T15:00:00.000000000Z",
          "active_until": null,
          "created_by_actor": {
            "type": "system",
            "id": null
          },
          "target_object": "companies",
          "target_record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
          "attribute_type": "record-reference"
        }
      ]
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.attio.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

This API uses OAuth 2.0 with the authorization code grant flow.

Path Parameters

record_id
string
required

A UUID of the deal record to update.

Example:

"1eec4535-30a1-4bc0-be24-e255d3fb5ac5"

Body

application/json
data
object
required

Response

Success

Success

data
object
required